Bug 125900 - audio/jack: Update to 0.109.2
Summary: audio/jack: Update to 0.109.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edward Tomasz Napierala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-23 15:30 UTC by Edward Tomasz Napierala
Modified: 2008-11-09 08:00 UTC (History)
0 users

See Also:


Attachments
file.shar (76.51 KB, text/plain)
2008-07-23 15:30 UTC, Edward Tomasz Napierala
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Tomasz Napierala freebsd_committer 2008-07-23 15:30:01 UTC
The attached shar contains updated version of jack and several other ports that depend on the new jack.  These ports won't build with the jack version currently in the tree; neither will the versions currently in the tree build with the updated jack.

The reason for this is that between 0.103.3 (currently in ports) and 0.109.2 there was an api change (relevant only to JACK MIDI applications, irrelevant to ordinary JACK audio).  This upgrade was done without changing the shared library version (it's still jack.so.0).

It's impossible to upgrade audio/ardour and commit audio/patchage port without updating jack.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-07-23 15:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Edward Tomasz Napierala freebsd_committer 2008-11-07 19:40:32 UTC
Responsible Changed
From-To: freebsd-multimedia->trasz

I'll take it.
Comment 3 dfilter service freebsd_committer 2008-11-08 12:03:24 UTC
trasz       2008-11-08 12:03:15 UTC

  FreeBSD ports repository

  Modified files:
    audio/zynaddsubfx    Makefile 
    audio/zynaddsubfx/files patch-Output-JACKaudiooutput.C 
  Log:
  Fix build after recent audio/jack update.
  
  PR:             ports/125900
  
  Revision  Changes    Path
  1.6       +8 -9      ports/audio/zynaddsubfx/Makefile
  1.2       +11 -4     ports/audio/zynaddsubfx/files/patch-Output-JACKaudiooutput.C
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2008-11-08 12:05:30 UTC
trasz       2008-11-08 12:05:21 UTC

  FreeBSD ports repository

  Modified files:
    audio/specimen       Makefile 
  Added files:
    audio/specimen/files patch-src-jackdriver.c 
  Log:
  Fix build after recent audio/jack update.
  
  PR:     ports/125900
  
  Revision  Changes    Path
  1.7       +6 -1      ports/audio/specimen/Makefile
  1.1       +20 -0     ports/audio/specimen/files/patch-src-jackdriver.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2008-11-08 12:09:36 UTC
trasz       2008-11-08 12:09:28 UTC

  FreeBSD ports repository

  Modified files:
    audio/ghostess       Makefile 
    audio/ghostess/files patch-src-ghostess.c 
  Log:
  Fix build after recent audio/jack update.
  
  PR:     ports/125900
  
  Revision  Changes    Path
  1.6       +7 -2      ports/audio/ghostess/Makefile
  1.2       +20 -2     ports/audio/ghostess/files/patch-src-ghostess.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2008-11-09 07:54:39 UTC
trasz       2008-11-09 07:54:26 UTC

  FreeBSD ports repository

  Modified files:
    audio/dino           Makefile 
  Added files:
    audio/dino/files     patch-src-libdinoseq-mididbuffer.cpp 
                         patch-src-libdinoseq-sequencer.cpp 
  Log:
  Fix build after audio/jack update.
  
  PR:     ports/125900
  
  Revision  Changes    Path
  1.6       +6 -1      ports/audio/dino/Makefile
  1.1       +20 -0     ports/audio/dino/files/patch-src-libdinoseq-mididbuffer.cpp (new)
  1.1       +24 -0     ports/audio/dino/files/patch-src-libdinoseq-sequencer.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Edward Tomasz Napierala freebsd_committer 2008-11-09 07:55:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!